# $Revision: 1.13 $, $Date: 2007-02-13 06:46:51 $
Summary:	Older implementation of C++ interface to PostgreSQL
Summary(pl.UTF-8):	Starsza implementacja interfejsu C++ do PostgreSQL
Name:		libpq++
Version:	4.0
Release:	3
License:	BSD
Group:		Libraries
Source0:	ftp://gborg.postgresql.org/pub/libpqpp/stable/%{name}-%{version}.tar.gz
# Source0-md5:	da71cb79ef45cef55f4bc97a33a0857d
Patch0:		%{name}-make.patch
Patch1:		%{name}-libdir.patch
URL:		http://gborg.postgresql.org/project/libpqpp/projdisplay.php
BuildRequires:	libstdc++-devel
BuildRequires:	postgresql-devel >= 7.3
Provides:	postgresql-c++
Obsoletes:	postgresql-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes library for C++ interface to PostgreSQL. It's
an older implementation, included with PostgreSQL up to 7.2.x.

%description -l pl.UTF-8
Pakiet ten zawiera biblioteki dla interfejsu C++ do PostgreSQL. Jest
to starsza implementacja, dołączana do PostgreSQL-a aż do 7.2.x.

%package devel
Summary:	Older C++ interface to PostgreSQL - development part
Summary(pl.UTF-8):	Starszy interfejs C++ do PostgreSQL - część programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	postgresql-devel
Provides:	postgresql-c++-devel
Obsoletes:	postgresql-c++-devel

%description devel
This package includes header files for older C++ interface.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe dla starszego interfejsu C++.

%package static
Summary:	Older C++ interface to PostgreSQL - static libraries
Summary(pl.UTF-8):	Starszy interfejs C++ do PostgreSQL - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	postgresql-c++-static
Obsoletes:	postgresql-c++-static

%description static
This package includes static library for older interface C++.

%description static -l pl.UTF-8
Pakiet ten zawiera biblioteki statyczne dla starszego interfejsu C++.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%{__make} static \
	POSTGRES_HOME=%{_prefix} \
	LIBDIR=%{_libdir} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} -Wall"

rm -f *.o
%{__make} \
	POSTGRES_HOME=%{_prefix} \
	LIBDIR=%{_libdir} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} -Wall -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir} \
	POSTGRES_HOME=%{_prefix}

install examples/*.* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/*.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h
%{_includedir}/libpq++
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpq++.spec,v $
Revision 1.13  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.11  2006/12/20 11:43:45  hawk
- release 3 to rebuild with PostgreSQL 8.2

Revision 1.10  2005/06/04 14:55:23  qboosh
- -devel R: libstdc++-devel

Revision 1.9  2005/06/04 14:05:55  zbyniu
- BR: libstdc++-devel

Revision 1.8  2004/08/21 00:04:29  qboosh
- strict internal deps

Revision 1.7  2004/08/19 09:29:57  undefine
- release 2

Revision 1.6  2004/08/19 09:24:22  undefine
- patch to uselibdir

Revision 1.5  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:50:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/06 12:11:45  misiek
- added provides

Revision 1.1  2003/04/02 12:14:58  qboosh
- fixed spec filename (mv libpqc++.spec libpq++.spec)

Revision 1.1  2003/03/12 23:03:56  qboosh
- postgresql-c++* packages replacement for postgresql 7.3
  (libpqxx is totally incomplatible, so existing apps would still use libpq++)
